Diablo II - Install problem!?!

Discussion in 'Mac and PC Games' started by Sacred, May 7, 2007.

  1. macrumors member

    Jun 29, 2006
    I'm not much of a gamer but have gotten hold of a copy of Diablo II and its expansion pack.
    When I put the disk in and try to run it I get the error:

    "You cannot open the application "Diablo II Installer" because it is not supported on this system"

    Ive checked the requirements for the game and its Mac OS 8.1 or higher and I'm running 10.4.9.
    Anyone got any ideas what I can do?
  2. macrumors 6502

    Jan 19, 2007
    Download the native OS X installer from Blizzard's web site, and/or call them and send in your first disc to get it replaced with an OS X-native install disc.
  3. macrumors member

    May 4, 2007
    I recently installed Diablo 2 on my Intel MacBook. Even after dowloading the OSX installer from blizzard.com, I still wasn't able to run the software until I switched the video settings to "software" 256 color mode, instead of "OpenGL". I don't get the cool graphic effects, but at least it works.

    Has anyone been able to get OpenGL mode to work?


  4. macrumors Core

    Jan 6, 2004
  5. thread starter macrumors member

    Jun 29, 2006
  6. macrumors 68020


    Aug 15, 2006
    The Rainbow Nation RSA
    Theres not really any difference between 256 colours and Open GL but on intel systems open GL rendering on D2 is not possible.

    -Level 27 Amazon in act V Been playing for a week now:D
  7. macrumors member

    May 4, 2007
    Thank you. I shall now stop obsessing over installation and start with the battles!
  8. macrumors newbie

    Mar 23, 2008
    Somone Help me !!!!

    I have gotten the osx native patch and everything. Whenever I try to install diablo 2 it installs half way and it pops up installation failed and this quote below comes up with it. please solve my problem.:(

    "The file "/Volumes/Diablo II Install/Support/Diablo II Speech" could not be read, because an error -36 occurred. (InstallerFile::Read)"
  9. macrumors newbie

    Sep 4, 2009

    i am running my new macbook pro on 10.5.1
    and i have tried to install Diablo 2 on my mac and it says "cannot install because the classic environment is no longer supported"
    Please help i have tried downloading a patch off the blizzard website but it still doesn't work!
  10. macrumors newbie

    Sep 9, 2008
    Go to Blizzard's Battle.net (www.battle.net) site and create a free account. You can then register your copy of Diablo II with them, which will allow you to download and install the game without having to use the game CD at all - you won't even need the disk to play.
  11. macrumors member

    Jan 2, 2008
    The Netherlands
    And where exactly is the file listed? I cant find it! :mad:
  12. macrumors 68000

    Mar 12, 2007
    Are you serious? Scroll down a bit and it says "Macintosh OS X Native installer". Read that paragraph and it gives you instructions and links.
  13. macrumors member

    Jan 2, 2008
    The Netherlands
    Why the hell do I need to register and all I just want the installer link.

Share This Page